#! /usr/bin/env perl

BEGIN
{
    push(@INC, $ENV{'GLOBUS_LOCATION'} . '/lib/perl');
}

use Globus::Core::Paths;
use POSIX qw(getcwd);
use Test;
use Globus::Testing::Container;

use strict;

my (@tests) = ();
my $pwd = getcwd();
my $java_container = new Globus::Testing::Container( {
    type => 'java',
    security => 1,
    descriptor => "$pwd/global_security_descriptor.xml"
});
my $java_contact = $java_container->contact()
    || die "Unable to start java container\n";

my $exec = 'rendezvous-test';

system {"./$exec"} ($exec,
    "${java_contact}/wsrf/services/RendezvousFactoryService");
